KIP People API (Public)

UpdateMyExtendedUserProfile

Update the current user’s extended profile information

put

Body

application/json

Models.ExtendedProfile

firstNamestringrequired
lastNamestringrequired
middleNamestring
genderstringrequired
preferredComplexstringrequired

Example:KBRG

mobilePhonestring

Example:+32470123456

preferredLanguagestringrequired

Example:NL

dateOfBirthstring(iso-date)required

Example:1996-01-01

Response

The request has succeeded.

put/users/me/profile/extended

Body

{ "firstName": "firstName", "lastName": "lastName", "gender": "gender", "preferredComplex": "KBRG", "preferredLanguage": "NL", "dateOfBirth": "1996-01-01" }
 

UpdateMyMembership

Update the current user’s membership information

put

Body

application/json

Models.Membership

membershipLevelstringrequired

Membership levels available for users, paid memberships cannot be set via the API

Allowed values:MyKinepolisKinepolisStudentCardKinepolisMovieClubGoldSilverPressStaff

Response

The request has succeeded.

put/users/me/profile/membership

Body

{ "membershipLevel": "MyKinepolis" }
 

GetMyUserPreferences

Get the current user’s preferences

get

Query Parameters

filterarray[string]required

Allowed values:NewsletterMovieGenreMovieBasedOnMovieTechnologyMovieVersionMovieCinemanieMovieCountryMovieActorMovieDirectorMovieAwardPersonalProfessionPersonalStudyLevelPersonalFamilySizeCinemaVisitFrequencyOtherMusicGenreOtherSportOtherAlternativeContent

Response

application/json

The request has succeeded.

Models.Responses.UserPreferencesResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/me/profile/preferences
 
application/json

UpdateMyUserPreferences

Update the current user’s preferences

patch

Body

application/json
idstring(uuid)required
valuebooleanrequired

Response

The request has succeeded.

patch/users/me/profile/preferences

Body

{ "id": "id", "value": false }
 

GetMyStudentInformation

Get a user’s student information

get

Response

application/json

The request has succeeded.

Models.Responses.UserStudentInformationListResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/me/profile/student-information
 
application/json